<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="ALARM" id="1">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
var i;

if (global.bizarre) sprite_index = sOlmecStart2B; else sprite_index = sOlmecStart2;
for (i = 0; i &lt; 6; i += 1) {
  debris = instance_create(x+32+rand(0, 32), y+rand(0, 32), oOlmecDebris);
  debris.xVel = rand(1, 4);
  debris.yVel = -rand(1, 3);
}
playSound(global.sndThump);
with (oHawkmanWorship) {
  obj = instance_create(x, y, oHawkman);
  with (obj) {
    status = 98;
    hp = 1;
    xVel = -3;
    yVel = -5;
    counter = 300;
  }
  instance_destroy();
}
with (oCavemanWorship) {
  image_index = 0;
  image_speed = 0;
}
alarm[2] = 50;
</argument>
      </arguments>
    </action>
  </actions>
</event>
